Bug 185563 - up2date storage directory error message is hardcoded
up2date storage directory error message is hardcoded
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Brandon Perkins
:
Depends On:
Blocks: 179652
  Show dependency treegraph
 
Reported: 2006-03-15 15:41 EST by Beth Nackashi
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:46:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Beth Nackashi 2006-03-15 15:41:28 EST
Description of problem:
If the up2date config file (/etc/sysconfig/rhn/up2date) has storageDir empty or
set to an invalid or read-only directory, an error message will pop up when you
try to run up2date:

"The storage directory /var/spool/up2date could not be found, or was not
accessable."

The error message should give the actual storage directory you are attempting to
access, which is not always '/var/spool/up2date'.  It is configurable.

Also, "accessable" should be "accessible".

Version-Release number of selected component (if applicable):
up2date-4.4.67-3

How reproducible:
always

Steps to Reproduce:
1.  Install up2date on a rhel 3 u6 system.  Make sure the system has gnome
desktop environment installed (up2date '@GNOME Desktop Environment').
2.  Make sure you log in using ssh -Y.
3.  Edit /etc/sysconfig/rhn/up2date
4.  Change storageDir to something that doesn't exist.
5.  Register the system.
6.  Run up2date.
  
Actual results:
Error window pops up:
"The storage directory /var/spool/up2date could not be found, or was not
accessable."


Expected results:
Error window pops up that has the actual directory you configured, not
necessarily /var/spool/up2date.

And accessible is spelled correctly.

Additional info:
up2date.checkForStorageDir() calls os.access(storageDir, os.X_OK)
Comment 1 Red Hat Bugzilla 2007-04-11 20:34:17 EDT
User bnackash@redhat.com's account has been closed
Comment 2 RHEL Product and Program Management 2007-10-19 14:46:11 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.